Subject: Re: [Rats] [Suit] Parameters and Commands

From: Michael Richardson <[email-masked]>
Date: Thu, 27 Feb 2020 17:02:41 -0500

Brendan Moran <[email-masked]> wrote:
    > We have also discussed the possibility of defining attestation policy
    > within SUIT. This would mean that we need flags to indicate to the
    > parser which measurements should be reported. For example, a Vendor ID,
    > an image digest, or a component offset might need to be reported in the
    > attestation report. Each of these is checked by a condition. Each of
    > those conditions will consume a parameter under this model. Then, the
    > argument can indicate: report a measurement, do not report a
    > measurement, report a measurement only if comparison is successful, or
    > perhaps other attestation-related policies. Bear in mind that attesting
    > a failed condition may be helpful for attesting why a manifest has
    > failed, as we discussed in the hackathon and virtual interim meeting.

Just a note that I think we are avoiding the term "attesting a X",
The RATS architecture would term all of this as providing Evidence.
It completely makes sense to provide Evidence on a failed condition.

    > If we are making the majority of commands are using parameters instead
    > of arguments, this becomes trivial: the arguments are replaced with
    > attestation policy arguments. This allows us to tell the attestation
    > engine explicitly what to report from the manifest, which allows
    > secure, dynamically updatable attestation policy.

okay.
It seems like all of this has to go into the base document.
I don't think the SUIT document needs to mention the Evidence format
directly, does it?

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-